com.jacob.com

## Class JacobException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.jacob.com.JacobException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ComException, NotImplementedException, WrongThreadException

      public class JacobException
      extends java.lang.RuntimeException

  The parent class of all Jacob exceptions. They all used to be based off of RuntimeException or ComException but it was decided to base them all off of one owned by this project.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JacobException()` Default constructor.
    `JacobException(java.lang.String message)` standard constructor

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JacobException

          public JacobException()

      Default constructor. Calls super with a "No Message Provided" string

    - #### JacobException

          public JacobException(java.lang.String message)

      standard constructor
      Parameters:
        `message` -

http://jacob-project.sourceforge.net